For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
      • GETGet Fax Line
      • GETList Fax Lines
      • POSTPurchase Fax Line
      • DELDelete Fax Line
      • PUTAdd Fax Line User
      • PUTRemove Fax Line Access
      • GETGet Available Fax Line Area Codes
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
    • Glossary
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceFax Line

Get Available Fax Line Area Codes

||View as Markdown|
GET
https://api.hellosign.com/v3/fax_line/area_codes
GET
/v3/fax_line/area_codes
$curl -X GET 'https://api.hellosign.com/v3/fax_line/area_codes' \
> -u 'YOUR_API_KEY:' \
> -F 'country=US' \
> -F 'state=CA'
1{
2 "area_codes": [
3 209,
4 213,
5 310,
6 323,
7 408,
8 415,
9 424,
10 510,
11 530,
12 559,
13 562,
14 619,
15 626,
16 650,
17 657,
18 661,
19 669,
20 707,
21 714,
22 747,
23 760,
24 805,
25 818,
26 831,
27 858,
28 909,
29 916,
30 925,
31 949,
32 951
33 ]
34}

Returns a list of available area codes for a given state/province and city

Was this page helpful?
Previous

Remove Fax Line Access

Next

Account Callbacks

Built with

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer

You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See Authentication for more information. ❌ Not supported by Try it console.

Query parameters

countryenumRequired
Filter area codes by country
Allowed values:
stateenumOptional
Filter area codes by state
provinceenumOptional
Filter area codes by province
citystringOptional
Filter area codes by city

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
area_codeslist of integers

Errors

4XX
Client Request Error